diff host-tools.sh @ 358:9829e6cc8637

Update busybox from 1.2.2 to 1.11.0. Toybox i still used for oneit and patch, but otherwise disabled for the moment. I'll put it back in a bit, but waiting until toybox is ready to replace busybox makes as much sense as waiting until tinycc is ready to replace gcc. Get it working first, then swap parts around...
author Rob Landley <rob@landley.net>
date Sun, 06 Jul 2008 06:19:15 -0500
parents f6e1d29086c1
children 2c5b02b47c8e
line wrap: on
line diff
--- a/host-tools.sh	Sun Jul 06 04:51:05 2008 -0500
+++ b/host-tools.sh	Sun Jul 06 06:19:15 2008 -0500
@@ -87,22 +87,17 @@
     [ ! -f "${HOSTTOOLS}/$i" ] && (ln -s `which $i` "${HOSTTOOLS}/$i" || dienow)
   done
 
-  # These commands need to be added to toybox.  The build breaks if we use
-  # the busybox-1.2.2 versions, where available.  I'm working to remove this
-  # hunk...
-
-  for i in bzip2 find install od diff wget
-  do
-    [ ! -f "${HOSTTOOLS}/$i" ] && (ln -s `which $i` "${HOSTTOOLS}/$i" || dienow)
-  done
-
   # Build toybox
 
   if [ ! -f "${HOSTTOOLS}/toybox" ]
   then
     setupfor toybox &&
     make defconfig &&
-    make install_flat PREFIX="${HOSTTOOLS}" &&
+    # make install_flat PREFIX="${HOSTTOOLS}" &&
+    make &&
+    cp toybox $HOSTTOOLS &&
+    ln -s toybox $HOSTTOOLS/oneit &&
+    ln -s toybox $HOSTTOOLS/patch &&
     cd ..
 
     cleanup toybox
@@ -117,16 +112,16 @@
   if [ ! -f "${HOSTTOOLS}/busybox" ]
   then
     setupfor busybox &&
-    cp "${SOURCES}/config-busybox" .config &&
-    yes "" | make oldconfig &&
-    make &&
+    make allnoconfig KCONFIG_ALLCONFIG="${SOURCES}/config-busybox" &&
+    make -j $CPUS &&
+    make busybox.links &&
     cp busybox "${HOSTTOOLS}"
 
     [ $? -ne 0 ] && dienow
 
     for i in $(sed 's@.*/@@' busybox.links)
     do
-      ln -s busybox "${HOSTTOOLS}"/$i || dienow
+      ln -s busybox "${HOSTTOOLS}"/$i # || dienow
     done
     cd ..